Name:		novprog
Version:	3.2.2
Release:	%mkrel 1
Summary:	Wordcount tracking program
Group:		Office/Utilities
License:	GPLv3+
URL:		https://gottcode.org/novprog
Source:		https://gottcode.org/novprog/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
NovProg is a tool to graph your progress in writing a novel. You enter your
wordcount and it updates a graph showing you how much progress you have
made. It also shows you how far you are through your daily goal, and your
total goal. Mousing over a bar in the graph will show a tooltip with that
day’s wordcount.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog CREDITS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jan 12 2023 daviddavid <daviddavid> 3.2.2-1.mga9
+ Revision: 1932438
- new version: 3.2.2

* Tue Dec 06 2022 daviddavid <daviddavid> 3.2.1-1.mga9
+ Revision: 1918480
- new version: 3.2.1
- switch to Qt6 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 3.1.7-3.mga9
+ Revision: 1842128
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 3.1.7-2.mga8
+ Revision: 1659140
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 3.1.7-1.mga8
+ Revision: 1570403
- new version: 3.1.7

* Sat Feb 15 2020 umeabot <umeabot> 3.1.6-2.mga8
+ Revision: 1528359
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 3.1.6-1.mga8
+ Revision: 1430160
- new version: 3.1.6

* Sun Mar 31 2019 umeabot <umeabot> 3.1.5-3.mga7
+ Revision: 1383578
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.1.5-2.mga7
+ Revision: 1299793
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 3.1.5-1.mga7
+ Revision: 1244552
- new version: 3.1.5

* Wed May 30 2018 daviddavid <daviddavid> 3.1.4-1.mga7
+ Revision: 1233075
- initial package novprog

